Get activity code types

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/activity-code-type

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • externalProjectId integer(int32)
    • name string
    • length integer(int32)
    • id integer(int64)
    • scope string
    • sequenceNumber integer(int32)
    • activityCodes array[object]
      Hide activityCodes attributes Show activityCodes attributes object
      • value string
      • parent object
      • id integer(int64)
      • children array[object]
      • desc string
      • sequenceNumber integer(int32)
      • order integer(int32)
    • isSecureCode boolean
    • epsId integer(int32)
    • epsNumber integer(int32)
GET /project/{projectId}/activity-code-type
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/activity-code-type' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "externalProjectId": 42,
    "name": "string",
    "length": 42,
    "id": 42,
    "scope": "string",
    "sequenceNumber": 42,
    "activityCodes": [
      {
        "value": "string",
        "parent": {},
        "id": 42,
        "children": [
          {}
        ],
        "desc": "string",
        "sequenceNumber": 42,
        "order": 42
      }
    ],
    "isSecureCode": true,
    "epsId": 42,
    "epsNumber": 42
  }
]